require 'tk'
require 'tkextlib/tile'
require_relative 'accdata'

class Sumtotal
  def self.run
    `sumtotal.rb`
   end
end
#__________________ ROOT __________________________
root = TkRoot.new{title "#$title"}
#_________________________ LISTBOXES __________________________
#create two listboxes, one for the $account_names and the second for the $balances
list_left = TkListbox.new(root){
setgrid 1
height 15
width 25
font TkFont.new('Tahoma 14 normal')
listvariable $account_names
}

list_right = TkListbox.new(root){
setgrid 1
height 15
width 10
font TkFont.new('Tahoma 14 normal')
listvariable $balances
}


#____________________ SCROLLBARS (right and left) _________________________
scrollbar = TkScrollbar.new(root){command proc{ |*args| 
list_right.yview(* args)
list_left.yview(* args)}
}

list_right.yscrollcommand(proc { |first, last| 
scrollbar.set(first, last)})

list_left.yscrollcommand(proc { |first, last| 
scrollbar.set(first, last)})

#_________________ LABELS _______________________________________
# Header and footer labels
header = TkLabel.new(root){
text "#$header"
font TkFont.new('Times 14 bold')
}

footer = TkLabel.new(root){
text "#$footer"
font TkFont.new('Times 14 bold')
}

#__________________________ TEXT _______________________________
total = TkEntry.new(root){
textvariable $total_sum
font TkFont.new('tahoma 12 bold')
width 10
}
#________________________ GEOMETRY _____________________________
header.grid('row' => 0, 'columnspan' => 2)
list_left.grid('row' => 1, 'column' => 1)
list_right.grid('row' => 1, 'column' => 2)
scrollbar.grid('row' => 1, 'column'=> 3, 'sticky' => 'NS')
footer.grid('row' => 23, 'column' => 1)
total.grid('row' => 23, 'column' =>2, 'stick' => 'NSEW')
#__________________________ SHOW _______________________________
Tk.mainloop
#######################################################
